package com.qf.pojo.sdk;

import java.util.List;

/**
 * 初始化请求
 * @ClassName QfInitReq
 * @author sunhy@bw30.com
 * @date 2015-1-14 下午08:45:37
 */
public class InitReq extends QfReqBase{
	/** 所有支持的PayType列表 */
	private List<String> payTypes;
	
	public List<String> getPayTypes() {
		return payTypes;
	}
	public void setPayTypes(List<String> payTypes) {
		this.payTypes = payTypes;
	}

	@Override
	public List<String> verify() {
		List<String> lostFields = super.verify();
		
		if (payTypes == null || payTypes.isEmpty()) lostFields.add("payTypes");
		
		return lostFields;
	}

	@Override
	public String toString() {
		return "QfInitReq [appId=" + appId + ", channelId=" + channelId
				+ ", deviceId=" + deviceId + ", payTypes="
				+ (payTypes) + ", device=" + device + "]";
	}
	
}
